import 'package:http/http.dart';
import 'package:interzone/disk.dart';

class OmniRemembers {
  //omni remembers whay you have seen and what is FRESH
  int get now => DateTime.now().millisecondsSinceEpoch;
  interzoneDisk? _io;
  Set<int> _seen = {};
  init(dynamic io) {
    _io = io;
  }

  bool isSeen(int sli) {
    if (_seen.contains(sli)) return true;
    return false;
  }

  bool markSeen(int sli) {
    //set this entry as seen
    _seen.add(sli);
    return true;
  }

  bool unPeekEntry(int sli) {
    //set this entry as seen
    if (!_seen.contains(sli)) return false;
    _seen.remove(sli);
    return true;
  }
}
